3

Could you please show me how to open Setting App in ubuntu 18.04?

I already try below command:

  sudo apt-get remove gnome-control-center
  sudo apt autoremove
  sudo apt-get install gnome-control-center

but after that, when I tried to run cmd:

gnome-control-center

this is output

nome-control-center: symbol lookup error: /usr/lib/x86_64-linux- 
gnu/libwebkit2gtk-4.0.so.37: undefined 
symbol:gst_state_change_get_name

UPDATE: this is output of: ldd /usr/lib/x86_64-linux-gnu/libwebkit2gtk-4.0.so.37

linux-vdso.so.1 (0x00007fff907e9000) libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1 (0x00007f70be722000) libEGL.so.1 => /usr/lib/x86_64-linux-gnu/libEGL.so.1 (0x00007f70be50e000) librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f70be306000) libgtk-3.so.0 => /usr/lib/x86_64-linux-gnu/libgtk-3.so.0 (0x00007f70bd9fe000) libgdk-3.so.0 => /usr/lib/x86_64-linux-gnu/libgdk-3.so.0 (0x00007f70bd708000) libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007f70bd4bb000) libatk-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0 (0x00007f70bd295000) libcairo.so.2 => /usr/lib/x86_64-linux-gnu/libcairo.so.2 (0x00007f70bcf78000) libgdk_pixbuf-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007f70bcd54000) libgio-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0 (0x00007f70bc9b5000) libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f70bc761000) libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f70bc44b000) libnotify.so.4 => /usr/lib/x86_64-linux-gnu/libnotify.so.4 (0x00007f70bc243000) libxml2.so.2 => /usr/lib/x86_64-linux-gnu/libxml2.so.2 (0x00007f70bbe82000) libxslt.so.1 => /usr/lib/x86_64-linux-gnu/libxslt.so.1 (0x00007f70bbc45000) libsqlite3.so.0 => /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 (0x00007f70bb93c000) libjavascriptcoregtk-4.0.so.18 => /usr/lib/x86_64-linux-gnu/libjavascriptcoregtk-4.0.so.18 (0x00007f70ba6c1000) libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f70ba4bd000) libicuuc.so.60 => /usr/lib/x86_64-linux-gnu/libicuuc.so.60 (0x00007f70ba106000) libicui18n.so.60 => /usr/lib/x86_64-linux-gnu/libicui18n.so.60 (0x00007f70b9c65000) libwoff2dec.so.1.0.2 => /usr/lib/x86_64-linux-gnu/libwoff2dec.so.1.0.2 (0x00007f70b9a5a000) libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f70b9815000) libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f70b9561000) libharfbuzz.so.0 => /usr/lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007f70b92c3000) libharfbuzz-icu.so.0 => /usr/lib/x86_64-linux-gnu/libharfbuzz-icu.so.0 (0x00007f70b90c0000) libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f70b8da5000) libgstapp-1.0.so.0 => /usr/local/lib/libgstapp-1.0.so.0 (0x00007f70b8b98000) libgstbase-1.0.so.0 => /usr/local/lib/libgstbase-1.0.so.0 (0x00007f70b8935000) libgstreamer-1.0.so.0 => /usr/local/lib/libgstreamer-1.0.so.0 (0x00007f70b860d000) libgstpbutils-1.0.so.0 => /usr/local/lib/libgstpbutils-1.0.so.0 (0x00007f70b83d9000) libgstaudio-1.0.so.0 => /usr/local/lib/libgstaudio-1.0.so.0 (0x00007f70b8182000) libgsttag-1.0.so.0 => /usr/local/lib/libgsttag-1.0.so.0 (0x00007f70b7f48000) libgstvideo-1.0.so.0 => /usr/local/lib/libgstvideo-1.0.so.0 (0x00007f70b7cd6000) libgstgl-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libgstgl-1.0.so.0 (0x00007f70b7a70000) libgstfft-1.0.so.0 => /usr/local/lib/libgstfft-1.0.so.0 (0x00007f70b7865000) libjpeg.so.8 => /usr/lib/x86_64-linux-gnu/libjpeg.so.8 (0x00007f70b75fd000) libpng16.so.16 => /usr/lib/x86_64-linux-gnu/libpng16.so.16 (0x00007f70b73cb000) libwebp.so.6 => /usr/lib/x86_64-linux-gnu/libwebp.so.6 (0x00007f70b7162000) libwebpdemux.so.2 => /usr/lib/x86_64-linux-gnu/libwebpdemux.so.2 (0x00007f70b6f5d000) libenchant.so.1 => /usr/lib/x86_64-linux-gnu/libenchant.so.1 (0x00007f70b6d51000) libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007f70b6b4d000) libsecret-1.so.0 => /usr/lib/x86_64-linux-gnu/libsecret-1.so.0 (0x00007f70b68fd000) libsoup-2.4.so.1 => /usr/lib/x86_64-linux-gnu/libsoup-2.4.so.1 (0x00007f70b660a000) libtasn1.so.6 => /usr/lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007f70b63f7000) libhyphen.so.0 => /usr/lib/x86_64-linux-gnu/libhyphen.so.0 (0x00007f70b61f1000) libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f70b5eb9000) libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007f70b5cb6000) libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007f70b5ab3000) libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f70b5896000) libwayland-server.so.0 => /usr/lib/x86_64-linux-gnu/libwayland-server.so.0 (0x00007f70b5683000) libwayland-egl.so.1 => /usr/lib/x86_64-linux-gnu/libwayland-egl.so.1 (0x00007f70b5481000) libwayland-client.so.0 => /usr/lib/x86_64-linux-gnu/libwayland-client.so.0 (0x00007f70b5272000) libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f70b4ee9000) libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f70b4b4b000) libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f70b4933000) libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f70b4714000) libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f70b4323000) /lib64/ld-linux-x86-64.so.2 (0x00007f70c14e3000) libGLX.so.0 => /usr/lib/x86_64-linux-gnu/libGLX.so.0 (0x00007f70b40f2000) libGLdispatch.so.0 => /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0 (0x00007f70b3e3c000) libpangocairo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007f70b3c2f000) libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007f70b3a1f000) libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007f70b3819000) libcairo-gobject.so.2 => /usr/lib/x86_64-linux-gnu/libcairo-gobject.so.2 (0x00007f70b3610000) libatk-bridge-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-bridge-2.0.so.0 (0x00007f70b33df000) libepoxy.so.0 => /usr/lib/x86_64-linux-gnu/libepoxy.so.0 (0x00007f70b30de000) libpangoft2-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007f70b2ec8000) libXinerama.so.1 => /usr/lib/x86_64-linux-gnu/libXinerama.so.1 (0x00007f70b2cc5000) libXrandr.so.2 => /usr/lib/x86_64-linux-gnu/libXrandr.so.2 (0x00007f70b2aba000) libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1 (0x00007f70b28b0000) libxkbcommon.so.0 => /usr/lib/x86_64-linux-gnu/libxkbcommon.so.0 (0x00007f70b2671000) libwayland-cursor.so.0 => /usr/lib/x86_64-linux-gnu/libwayland-cursor.so.0 (0x00007f70b2469000) libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f70b2257000) libthai.so.0 => /usr/lib/x86_64-linux-gnu/libthai.so.0 (0x00007f70b204e000) libpixman-1.so.0 => /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x00007f70b1da9000) libxcb-shm.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0 (0x00007f70b1ba6000) libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f70b197e000) libxcb-render.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-render.so.0 (0x00007f70b1771000) libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f70b1567000) libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007f70b133f000) libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f70b1124000) libmount.so.1 => /lib/x86_64-linux-gnu/libmount.so.1 (0x00007f70b0ed0000) libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f70b0cc8000) libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f70b0a56000) liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f70b0830000) libicudata.so.60 => /usr/lib/x86_64-linux-gnu/libicudata.so.60 (0x00007f70aec87000) libwoff2common.so.1.0.2 => /usr/lib/x86_64-linux-gnu/libwoff2common.so.1.0.2 (0x00007f70aea84000) libbrotlidec.so.1 => /usr/lib/x86_64-linux-gnu/libbrotlidec.so.1 (0x00007f70ae878000) libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f70ae646000) libgraphite2.so.3 => /usr/lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007f70ae419000) libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f70ae204000) libgstallocators-1.0.so.0 => /usr/local/lib/libgstallocators-1.0.so.0 (0x00007f70ae000000) libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007f70addfe000) libdrm.so.2 => /usr/lib/x86_64-linux-gnu/libdrm.so.2 (0x00007f70adbed000) libgbm.so.1 => /usr/lib/x86_64-linux-gnu/libgbm.so.1 (0x00007f70ad9df000) libgudev-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libgudev-1.0.so.0 (0x00007f70ad7d5000) libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f70ad58a000) libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007f70ad33d000) libatspi.so.0 => /usr/lib/x86_64-linux-gnu/libatspi.so.0 (0x00007f70ad10d000) libdatrie.so.1 => /usr/lib/x86_64-linux-gnu/libdatrie.so.1 (0x00007f70acf06000) libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f70acd02000) libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f70acafc000) libblkid.so.1 => /lib/x86_64-linux-gnu/libblkid.so.1 (0x00007f70ac8af000) libbrotlicommon.so.1 => /usr/lib/x86_64-linux-gnu/libbrotlicommon.so.1 (0x00007f70ac68f000) libudev.so.1 => /lib/x86_64-linux-gnu/libudev.so.1 (0x00007f70ac471000) libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f70ac19b000) libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f70abf69000) libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f70abd65000) libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f70abb5a000) libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007f70ab8d6000) libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007f70ab6c1000) libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f70ab4ba000) libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f70ab2b6000) liblz4.so.1 => /usr/lib/x86_64-linux-gnu/liblz4.so.1 (0x00007f70ab09a000)

and this is output of: dpkg -S /usr/lib/x86_64-linux-gnu/libwebkit2gtk-4.0.so.37

libwebkit2gtk-4.0-37:amd64: /usr/lib/x86_64-linux-gnu/libwebkit2gtk-4.0.so.37

Thanks in advance,

  • Please add output of ldd /usr/lib/x86_64-linux-gnu/libwebkit2gtk-4.0.so.37 and dpkg -S /usr/lib/x86_64-linux-gnu/libwebkit2gtk-4.0.so.37 to the question. – N0rbert May 21 at 19:34
0

The problem seems to be with the library itself. Please try this and let me know if it helps.

sudo apt-get install libwebkit2gtk-4.0-37
sudo apt-get install libwebkit2gtk-4.0-37-gtk2
  • 1
    Hello, Thank for your support but after the above commands, I still got the same output. :( It seems It does not work. – Dong Thang May 21 at 7:05

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.